%global plugin_name junit

Summary:    Allows JUnit-format test results to be published.
Name:       jenkins-plugin-%{plugin_name}
Version:    1.18
Release:    1%{?dist}
License:    MIT
# URL is correct
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Junit+Plugin
# AltURL:   https://github.com/jenkinsci/junit-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins-plugin-structs
Requires:   jenkins >= 1.580.1

%description
The JUnit plugin provides a publisher that consumes XML test reports 
generated during the builds and provides some graphical visualization 
of the historical test results (see JUnit graph for a sample) as well 
as a web UI for viewing test reports, tracking failures, and so on. 
Jenkins understands the JUnit test report XML format (which is also 
used by TestNG). When this option is configured, Jenkins can provide 
useful information about test results, such as trends.

This functionality was part of the Jenkins Core until it was split 
out to this plugin in version in 1.577.

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Mon Sep 26 2016 Troy Dawson <tdawson@redhat.com> - 1.18-1
- Initial package
